Package org.apache.sysds.runtime.instructions.fed

## Class AggregateBinaryFEDInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.fed.FEDInstruction
    - - org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction
      - - org.apache.sysds.runtime.instructions.fed.BinaryFEDInstruction
        - - org.apache.sysds.runtime.instructions.fed.AggregateBinaryFEDInstruction

All Implemented Interfaces:
  `LineageTraceable`

    public class AggregateBinaryFEDInstruction
    extends BinaryFEDInstruction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`FEDInstruction.FederatedOutput, FEDInstruction.FEDType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`input1, input2, input3, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Constructor Summary

Constructors
`AggregateBinaryFEDInstruction​(Operator op, CPOperand in1, CPOperand in2, CPOperand out, String opcode, String istr)`
`AggregateBinaryFEDInstruction​(Operator op, CPOperand in1, CPOperand in2, CPOperand out, String opcode, String istr, FEDInstruction.FederatedOutput fedOut)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AggregateBinaryFEDInstruction` `parseInstruction​(String str)`
`static AggregateBinaryFEDInstruction` `parseInstruction​(AggregateBinaryCPInstruction inst, ExecutionContext ec)`
`void` `processInstruction​(ExecutionContext ec)` This method should be used to execute the instruction.

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.BinaryFEDInstruction

`parseInstruction, parseInstruction`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`getLineageItem, getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`getFEDInstructionType, getTID, getType, setTID`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getGraphString, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, postprocessInstruction, preprocessInstruction, printMe, requiresLabelUpdate, setInstID, setLocation, setLocation, setLocation, setLocation, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

### Constructor Detail

#### AggregateBinaryFEDInstruction

    public AggregateBinaryFEDInstruction​(Operator op,
                                         CPOperand in1,
                                         CPOperand in2,
                                         CPOperand out,
                                         String opcode,
                                         String istr)

#### AggregateBinaryFEDInstruction

    public AggregateBinaryFEDInstruction​(Operator op,
                                         CPOperand in1,
                                         CPOperand in2,
                                         CPOperand out,
                                         String opcode,
                                         String istr,
                                         FEDInstruction.FederatedOutput fedOut)

### Method Detail

#### parseInstruction

    public static AggregateBinaryFEDInstruction parseInstruction​(AggregateBinaryCPInstruction inst,
                                                                 ExecutionContext ec)

#### parseInstruction

    public static AggregateBinaryFEDInstruction parseInstruction​(String str)

#### processInstruction

    public void processInstruction​(ExecutionContext ec)

Description copied from class: `Instruction`
This method should be used to execute the instruction.

Specified by:
  `processInstruction` in class `Instruction`
Parameters:
  `ec` - execution context